### Method

# RB AutoPlaylistSource get_query

#### Declaration [src]

    void
    rb_auto_playlist_source_get_query (
      RBAutoPlaylistSource* source,
      GPtrArray** query,
      RhythmDBQueryModelLimitType* limit_type,
      GVariant** limit_value,
      char** sort_key,
      gint* sort_order
    )

#### Description [src]

Extracts the current query, playlist limit, and sorting settings for the playlist.

This method is not directly available to language bindings.

#### Parameters

`query`

  Type: An array of `gpointer`

  Returns the database query for the playlist.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`limit_type`

  Type: `RhythmDBQueryModelLimitType`

  Returns the playlist limit type.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`limit_value`

  Type: `GVariant`

  Returns the playlist limit value.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`sort_key`

  Type: `char**`

  Returns the playlist sorting key.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`sort_order`

  Type: `gint*`

  Returns the playlist sorting direction (as a `GtkSortType`).

  The argument will be set by the function.